/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Common.AccountAdjustment = {
	morphAccounts: function(accounts) {
		for (var r = 0; r < accounts.length; r++) {
			var a = accounts[r];
			var login = a.login;
			if (	a.domain === "photobucket" &&
				login.endsWith("@photobucket.com")) {
				a.displayLogin = login.substr(
					0,
					login.lastIndexOf("@photobucket.com"));
			} else {
				a.displayLogin = login;
			}
		}
	}
};

